From 8679444913a8d04e4d2f0ec02a19503dd1187d4f Mon Sep 17 00:00:00 2001
From: Endi Sukma Dewata <edewata@redhat.com>
Date: Fri, 3 Feb 2012 13:49:11 -0600
Subject: [PATCH] Added generics (part 3).

This patch brings down the warnings from 3992 to 3500.

Ticket #2
---
 .../netscape/certsrv/dbs/crldb/ICRLRepository.java |    2 +-
 .../src/com/netscape/certsrv/usrgrp/IGroup.java    |    2 +-
 .../cms/authentication/TokenAuthentication.java    |    4 +-
 .../authentication/UidPwdDirAuthentication.java    |    4 +-
 .../authentication/UidPwdPinDirAuthentication.java |    5 +-
 .../common/src/com/netscape/cms/jobs/AJobBase.java |    4 +-
 .../cms/listeners/CertificateIssuedListener.java   |   21 ++--
 .../cms/listeners/CertificateRevokedListener.java  |   21 ++--
 .../src/com/netscape/cms/ocsp/LDAPStore.java       |   18 ++--
 .../cms/policy/constraints/RSAKeyConstraints.java  |   18 ++--
 .../com/netscape/cms/profile/def/NoDefault.java    |    4 +-
 .../profile/def/SubjectInfoAccessExtDefault.java   |   10 +-
 .../cms/profile/updater/SubsystemGroupUpdater.java |   10 +-
 .../cms/servlet/admin/PublisherAdminServlet.java   |  117 ++++++++++----------
 .../netscape/cms/servlet/admin/RAAdminServlet.java |   45 +++++---
 .../cms/servlet/admin/UsrGrpAdminServlet.java      |   42 +++----
 .../com/netscape/cms/servlet/base/CMSServlet.java  |    6 -
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |    4 +-
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |    4 +-
 .../netscape/cms/servlet/cert/ReasonToRevoke.java  |    1 -
 .../cms/servlet/cert/RemoteAuthConfig.java         |   34 +++---
 .../netscape/cms/servlet/cert/RenewalServlet.java  |    4 +-
 .../cms/servlet/cert/RevocationServlet.java        |    4 +-
 .../com/netscape/cms/servlet/cert/UpdateDir.java   |   12 +-
 .../netscape/cms/servlet/common/CMSGateway.java    |    5 +-
 .../netscape/cms/servlet/common/CMSRequest.java    |    2 +-
 .../netscape/cms/servlet/csadmin/RegisterUser.java |    8 +-
 .../netscape/cms/servlet/csadmin/SessionTimer.java |    4 +-
 .../netscape/cms/servlet/csadmin/SizePanel.java    |   12 +-
 .../cms/servlet/csadmin/UpdateConnector.java       |    5 +-
 .../netscape/cms/servlet/ocsp/ListCAServlet.java   |    3 +-
 .../com/netscape/cms/servlet/request/QueryReq.java |   26 ++--
 .../netscape/cms/servlet/wizard/WizardServlet.java |   33 +++---
 .../netscape/cmscore/cert/X500NameSubsystem.java   |    2 +-
 .../cmscore/connector/RequestTransfer.java         |    6 +-
 .../com/netscape/cmscore/connector/Resender.java   |   16 ++--
 .../com/netscape/cmscore/dbs/CRLRepository.java    |    4 +-
 .../src/com/netscape/cmscore/dbs/DBSubsystem.java  |   36 +++---
 .../com/netscape/cmscore/dbs/RepositoryRecord.java |    6 +-
 .../src/com/netscape/cmscore/dbs/StringMapper.java |    4 +-
 .../netscape/cmscore/dbs/StringVectorMapper.java   |   16 ++-
 .../com/netscape/cmscore/dbs/X500NameMapper.java   |    4 +-
 .../cmscore/ldap/LdapSimpleExpression.java         |    9 +-
 .../netscape/cmscore/policy/SimpleExpression.java  |    6 +-
 .../netscape/cmscore/request/ARequestQueue.java    |    1 +
 .../netscape/cmscore/request/ARequestRecord.java   |    2 +-
 .../com/netscape/cmscore/request/RequestQueue.java |   13 +--
 .../netscape/cmscore/request/RequestRecord.java    |   86 ++++++++-------
 .../src/com/netscape/cmscore/usrgrp/User.java      |    4 +-
 .../src/com/netscape/cmscore/util/Debug.java       |    4 +-
 .../netscape/cmscore/request/RequestQueueTest.java |    2 +-
 .../cmscore/request/RequestRecordTest.java         |    4 +-
 .../test/com/netscape/cmscore/test/TestHelper.java |    2 +-
 .../src/com/netscape/cmstools/TokenInfo.java       |   10 +-
 .../kra/src/com/netscape/kra/StorageKeyUnit.java   |   10 +-
 .../cmsutil/password/PlainPasswordFile.java        |    2 +-
 .../cmsutil/password/PlainPasswordReader.java      |    2 +-
 .../security/provider/DSAKeyPairGenerator.java     |    6 +-
 58 files changed, 379 insertions(+), 372 deletions(-)

diff --git a/pki/base/common/src/com/netscape/certsrv/dbs/crldb/ICRLRepository.java b/pki/base/common/src/com/netscape/certsrv/dbs/crldb/ICRLRepository.java
index b58a6e38b0547ce3f15d429fbc70bd230cb83f6a..3fb40b26d413502a6b88580646bad4d387f7a93a 100644
--- a/pki/base/common/src/com/netscape/certsrv/dbs/crldb/ICRLRepository.java
+++ b/pki/base/common/src/com/netscape/certsrv/dbs/crldb/ICRLRepository.java
@@ -48,7 +48,7 @@ public interface ICRLRepository {
      * @return A list of issuing points' names.
      * @exception EBaseException failed to retrieve all the issuing points' names.
      */
-    public Vector getIssuingPointsNames() throws EBaseException;
+    public Vector<String> getIssuingPointsNames() throws EBaseException;
 
     /**
      * Reads issuing point record.
diff --git a/pki/base/common/src/com/netscape/certsrv/usrgrp/IGroup.java b/pki/base/common/src/com/netscape/certsrv/usrgrp/IGroup.java
index 18903f4a5a6fefb6fcfef0d40bb016351aeb46a9..522d0fc894249cb456d26f76244a6dca090d28e5 100644
--- a/pki/base/common/src/com/netscape/certsrv/usrgrp/IGroup.java
+++ b/pki/base/common/src/com/netscape/certsrv/usrgrp/IGroup.java
@@ -70,5 +70,5 @@ public interface IGroup extends IAttrSet, IGroupConstants {
      * 
      * @return a list of member names for this group.
      */
-    public Enumeration getMemberNames();
+    public Enumeration<String> getMemberNames();
 }
diff --git a/pki/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java b/pki/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
index 5dcb80a61766a0e64b43227a842e9be564320972..f8e0669e9f7d827cdaf8fef1816616da6879b31f 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/TokenAuthentication.java
@@ -279,8 +279,8 @@ public class TokenAuthentication implements IAuthManager,
     /**
      * Retrieves a list of names of the value parameter.
      */
-    public Enumeration getValueNames() {
-        Vector v = new Vector();
+    public Enumeration<String> getValueNames() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement(CRED_SESSION_ID);
         return v.elements();
diff --git a/pki/base/common/src/com/netscape/cms/authentication/UidPwdDirAuthentication.java b/pki/base/common/src/com/netscape/cms/authentication/UidPwdDirAuthentication.java
index dd750614708d9a1f56a45c1c1ec70b3168a04e9f..d4a9de1080e6e0c433507d85a1a79dbf0769ec74 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/UidPwdDirAuthentication.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/UidPwdDirAuthentication.java
@@ -224,8 +224,8 @@ public class UidPwdDirAuthentication extends DirBasedAuthentication
     /**
      * Retrieves a list of names of the value parameter.
      */
-    public Enumeration getValueNames() {
-        Vector v = new Vector();
+    public Enumeration<String> getValueNames() {
+        Vector<String> v = new Vector<String>();
 
         v.addElement(CRED_UID);
         v.addElement(CRED_PWD);
diff --git a/pki/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java b/pki/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
index 2908d532a4c1ba64482dc52b8ac8241b825bbbee..880b7c7676e8a5148516c36a544c2c276cbaa00e 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/UidPwdPinDirAuthentication.java
@@ -301,13 +301,14 @@ public class UidPwdPinDirAuthentication extends DirBasedAuthentication
             throw new EInvalidCredentials(CMS.getUserMessage("CMS_AUTHENTICATION_INVALID_CREDENTIAL"));
         }
 
-        Enumeration pinValues = pinAttr.getByteValues();
+        @SuppressWarnings("unchecked")
+        Enumeration<byte[]> pinValues = pinAttr.getByteValues();
 
         if (!pinValues.hasMoreElements()) {
             log(ILogger.LL_SECURITY, CMS.getLogMessage("CMS_AUTH_NO_PIN_FOUND", uid));
             throw new EInvalidCredentials(CMS.getUserMessage("CMS_AUTHENTICATION_INVALID_CREDENTIAL"));
         }
-        byte[] entrypin = (byte[]) pinValues.nextElement();
+        byte[] entrypin = pinValues.nextElement();
 
         // compare value digest.
 
diff --git a/pki/base/common/src/com/netscape/cms/jobs/AJobBase.java b/pki/base/common/src/com/netscape/cms/jobs/AJobBase.java
index 5b8176da26d60df4f3248945786af31cd94affc6..4a70147de474c1a9d71850a97d1696213f05f4ab 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/AJobBase.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/AJobBase.java
@@ -71,8 +71,8 @@ public abstract class AJobBase implements IJob, Runnable {
     protected String mItemForm = null;
     protected String mSummarySenderEmail = null;
     protected String mSummaryReceiverEmail = null;
-    protected Hashtable mContentParams = new Hashtable();
-    protected Hashtable mItemParams = new Hashtable();
+    protected Hashtable<String, Object> mContentParams = new Hashtable<String, Object>();
+    protected Hashtable<String, Object> mItemParams = new Hashtable<String, Object>();
 
     public AJobBase() {
     }
diff --git a/pki/base/common/src/com/netscape/cms/listeners/CertificateIssuedListener.java b/pki/base/common/src/com/netscape/cms/listeners/CertificateIssuedListener.java
index 6c9a295b3c9496f382134bea6adced65517187b3..91526d58325aa4159d10a6424aeff8b43cabd9d6 100644
--- a/pki/base/common/src/com/netscape/cms/listeners/CertificateIssuedListener.java
+++ b/pki/base/common/src/com/netscape/cms/listeners/CertificateIssuedListener.java
@@ -89,9 +89,8 @@ public class CertificateIssuedListener implements IRequestListener {
     private String mSubject_Success = null;
     private String mFormPath = null;
     private String mRejectPath = null;
-    private Hashtable mContentParams = new Hashtable();
+    private Hashtable<String, Object> mContentParams = new Hashtable<String, Object>();
 
-    private ICertAuthority mSub = null;
     private IConfigStore mConfig = null;
     private DateFormat mDateFormat = null;
     private ICertAuthority mSubsystem = null;
@@ -389,19 +388,19 @@ public class CertificateIssuedListener implements IRequestListener {
         mContentParams.put(IEmailFormProcessor.TOKEN_ID,
                 mConfig.getName());
         mContentParams.put(IEmailFormProcessor.TOKEN_SERIAL_NUM,
-                (Object) issuedCert[0].getSerialNumber().toString());
+                issuedCert[0].getSerialNumber().toString());
         mContentParams.put(IEmailFormProcessor.TOKEN_HEX_SERIAL_NUM,
-                (Object) Long.toHexString(issuedCert[0].getSerialNumber().longValue()));
+                Long.toHexString(issuedCert[0].getSerialNumber().longValue()));
         mContentParams.put(IEmailFormProcessor.TOKEN_REQUEST_ID,
-                (Object) mReqId.toString());
+                mReqId.toString());
         mContentParams.put(IEmailFormProcessor.TOKEN_HTTP_HOST,
-                (Object) mHttpHost);
+                mHttpHost);
         mContentParams.put(IEmailFormProcessor.TOKEN_HTTP_PORT,
-                (Object) mHttpPort);
+                mHttpPort);
         mContentParams.put(IEmailFormProcessor.TOKEN_ISSUER_DN,
-                (Object) issuedCert[0].getIssuerDN().toString());
+                issuedCert[0].getIssuerDN().toString());
         mContentParams.put(IEmailFormProcessor.TOKEN_SUBJECT_DN,
-                (Object) issuedCert[0].getSubjectDN().toString());
+                issuedCert[0].getSubjectDN().toString());
 
         Date date = (Date) issuedCert[0].getNotAfter();
 
@@ -413,9 +412,9 @@ public class CertificateIssuedListener implements IRequestListener {
                 mDateFormat.format(date));
 
         mContentParams.put(IEmailFormProcessor.TOKEN_SENDER_EMAIL,
-                (Object) mSenderEmail);
+                mSenderEmail);
         mContentParams.put(IEmailFormProcessor.TOKEN_RECIPIENT_EMAIL,
-                (Object) mEmail);
+                mEmail);
         // ... and more
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java b/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
index 841f71863b3f691ab19ec01b5689e8e2d0d3a3df..da041b85de27668342a7716b3350be02010cf11c 100644
--- a/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
+++ b/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
@@ -91,9 +91,8 @@ public class CertificateRevokedListener implements IRequestListener {
     private String mSubject_Success = null;
     private String mFormPath = null;
     private String mRejectPath = null;
-    private Hashtable mContentParams = new Hashtable();
+    private Hashtable<String, Object> mContentParams = new Hashtable<String, Object>();
 
-    private ICertAuthority mSub = null;
     private IConfigStore mConfig = null;
     private DateFormat mDateFormat = null;
     private ICertAuthority mSubsystem = null;
@@ -301,15 +300,15 @@ public class CertificateRevokedListener implements IRequestListener {
         mContentParams.put(IEmailFormProcessor.TOKEN_ID,
                 mConfig.getName());
         mContentParams.put(IEmailFormProcessor.TOKEN_SERIAL_NUM,
-                (Object) crlentries[0].getSerialNumber().toString());
+                crlentries[0].getSerialNumber().toString());
         mContentParams.put(IEmailFormProcessor.TOKEN_HEX_SERIAL_NUM,
-                (Object) Long.toHexString(crlentries[0].getSerialNumber().longValue()));
+                Long.toHexString(crlentries[0].getSerialNumber().longValue()));
         mContentParams.put(IEmailFormProcessor.TOKEN_REQUEST_ID,
-                (Object) mReqId.toString());
+                mReqId.toString());
         mContentParams.put(IEmailFormProcessor.TOKEN_HTTP_HOST,
-                (Object) mHttpHost);
+                mHttpHost);
         mContentParams.put(IEmailFormProcessor.TOKEN_HTTP_PORT,
-                (Object) mHttpPort);
+                mHttpPort);
 
         try {
             RevokedCertImpl revCert = (RevokedCertImpl) crlentries[0];
@@ -318,9 +317,9 @@ public class CertificateRevokedListener implements IRequestListener {
             X509Certificate cert = certDB.getX509Certificate(revCert.getSerialNumber());
 
             mContentParams.put(IEmailFormProcessor.TOKEN_ISSUER_DN,
-                    (Object) cert.getIssuerDN().toString());
+                    cert.getIssuerDN().toString());
             mContentParams.put(IEmailFormProcessor.TOKEN_SUBJECT_DN,
-                    (Object) cert.getSubjectDN().toString());
+                    cert.getSubjectDN().toString());
             Date date = (Date) crlentries[0].getRevocationDate();
 
             mContentParams.put(IEmailFormProcessor.TOKEN_REVOCATION_DATE,
@@ -331,9 +330,9 @@ public class CertificateRevokedListener implements IRequestListener {
         }
 
         mContentParams.put(IEmailFormProcessor.TOKEN_SENDER_EMAIL,
-                (Object) mSenderEmail);
+                mSenderEmail);
         mContentParams.put(IEmailFormProcessor.TOKEN_RECIPIENT_EMAIL,
-                (Object) mEmail);
+                mEmail);
         // ... and more
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
index bdfbc9ca2f1253e492ec2b49dba224174df10250..765a7950459e634892ecd6c0fa6aa7a0c99d2c8a 100644
--- a/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
+++ b/pki/base/common/src/com/netscape/cms/ocsp/LDAPStore.java
@@ -100,8 +100,8 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     private String mCRLAttr = null;
     private boolean mByName = true;
     private String mCACertAttr = null;
-    protected Hashtable mReqCounts = new Hashtable();
-    private Hashtable<X509CertImpl, Object> mCRLs = new Hashtable<X509CertImpl, Object>();
+    protected Hashtable<String, Long> mReqCounts = new Hashtable<String, Long>();
+    private Hashtable<X509CertImpl, X509CRLImpl> mCRLs = new Hashtable<X509CertImpl, X509CRLImpl>();
 
     /**
      * Constructs the default store.
@@ -110,7 +110,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     }
 
     public String[] getExtendedPluginInfo(Locale locale) {
-        Vector v = new Vector();
+        Vector<String> v = new Vector<String>();
 
         v.addElement(PROP_NOT_FOUND_GOOD
                 + ";boolean; " + CMS.getUserMessage(locale, "CMS_OCSP_LDAPSTORE_PROP_NOT_FOUND_GOOD"));
@@ -209,7 +209,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
 
     public void updateCRLHash(X509CertImpl caCert, X509CRLImpl crl)
             throws EBaseException {
-        X509CRLImpl oldCRL = (X509CRLImpl) mCRLs.get(caCert);
+        X509CRLImpl oldCRL = mCRLs.get(caCert);
 
         if (oldCRL != null) {
             if (oldCRL.getThisUpdate().getTime() >= crl.getThisUpdate().getTime()) {
@@ -278,7 +278,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
             mOCSPAuthority.log(ILogger.LL_INFO, "start OCSP request");
             TBSRequest tbsReq = request.getTBSRequest();
 
-            Vector singleResponses = new Vector();
+            Vector<SingleResponse> singleResponses = new Vector<SingleResponse>();
 
             if (statsSub != null) {
                 statsSub.startTiming("lookup");
@@ -364,7 +364,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
     }
 
     public long getReqCount(String id) {
-        Long c = (Long) mReqCounts.get(id);
+        Long c = mReqCounts.get(id);
 
         if (c == null)
             return 0;
@@ -397,12 +397,12 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
 
     public Enumeration<Object> searchAllCRLIssuingPointRecord(int maxSize)
             throws EBaseException {
-        Vector recs = new Vector();
+        Vector<Object> recs = new Vector<Object>();
         Enumeration<X509CertImpl> keys = mCRLs.keys();
 
         while (keys.hasMoreElements()) {
             X509CertImpl caCert = keys.nextElement();
-            X509CRLImpl crl = (X509CRLImpl) mCRLs.get(caCert);
+            X509CRLImpl crl = mCRLs.get(caCert);
 
             recs.addElement(new TempCRLIssuingPointRecord(caCert, crl));
         }
@@ -483,7 +483,7 @@ public class LDAPStore implements IDefStore, IExtendedPluginInfo {
             if (mOCSPAuthority.arraysEqual(digest, keyhsh)) {
                 theCert = caCert;
                 incReqCount(caCert.getSubjectDN().toString());
-                theCRL = (X509CRLImpl) mCRLs.get(caCert);
+                theCRL = mCRLs.get(caCert);
                 break;
             }
         }
diff --git a/pki/base/common/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java b/pki/base/common/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java
index d6dde414a99465f940e797674e9d8354da64712b..7c53808c5b518adcf40d22aa31d2b4b3f507ae85 100644
--- a/pki/base/common/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java
+++ b/pki/base/common/src/com/netscape/cms/policy/constraints/RSAKeyConstraints.java
@@ -55,7 +55,7 @@ import com.netscape.cms.policy.APolicyRule;
  */
 public class RSAKeyConstraints extends APolicyRule
         implements IEnrollmentPolicy, IExtendedPluginInfo {
-    private Vector mExponents;
+    private Vector<BigInt> mExponents;
     private int mMinSize;
     private int mMaxSize;
 
@@ -66,7 +66,7 @@ public class RSAKeyConstraints extends APolicyRule
     private final static String PROP_EXPONENTS = "exponents";
     private final static String RSA = "RSA";
 
-    private final static Vector defConfParams = new Vector();
+    private final static Vector<String> defConfParams = new Vector<String>();
 
     static {
         defConfParams.addElement(PROP_MIN_SIZE + "=" + DEF_MIN_SIZE);
@@ -130,7 +130,7 @@ public class RSAKeyConstraints extends APolicyRule
             throw new EBaseException(
                     CMS.getUserMessage("CMS_BASE_A_GREATER_THAN_EQUAL_B", PROP_MIN_SIZE, PROP_MAX_SIZE));
 
-        mExponents = new Vector();
+        mExponents = new Vector<BigInt>();
 
         // Get exponents
         exponents = config.getString(PROP_EXPONENTS, null);
@@ -223,7 +223,7 @@ public class RSAKeyConstraints extends APolicyRule
                     if (!mExponents.contains(exp)) {
                         StringBuffer sb = new StringBuffer();
 
-                        for (Enumeration e = mExponents.elements(); e.hasMoreElements();) {
+                        for (Enumeration<BigInt> e = mExponents.elements(); e.hasMoreElements();) {
                             BigInt bi = (BigInt) e.nextElement();
 
                             sb.append(bi.toBigInteger().toString());
@@ -252,15 +252,15 @@ public class RSAKeyConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getInstanceParams() {
-        Vector confParams = new Vector();
+    public Vector<String> getInstanceParams() {
+        Vector<String> confParams = new Vector<String>();
 
         confParams.addElement(PROP_MIN_SIZE + "=" + mMinSize);
         confParams.addElement(PROP_MAX_SIZE + "=" + mMaxSize);
         StringBuffer sb = new StringBuffer();
 
-        for (Enumeration e = mExponents.elements(); e.hasMoreElements();) {
-            sb.append(((BigInt) e.nextElement()).toInt());
+        for (Enumeration<BigInt> e = mExponents.elements(); e.hasMoreElements();) {
+            sb.append(e.nextElement().toInt());
             sb.append(",");
         }
         if (sb.length() > 0)
@@ -274,7 +274,7 @@ public class RSAKeyConstraints extends APolicyRule
      * 
      * @return nvPairs A Vector of name/value pairs.
      */
-    public Vector getDefaultParams() {
+    public Vector<String> getDefaultParams() {
         return defConfParams;
     }
 }
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
index a58b1800819aba06bf12009d13d6198651a7d361..4678f44875057ddeff39dffdbd42332254fdc422 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/NoDefault.java
@@ -40,7 +40,7 @@ public class NoDefault implements IPolicyDefault {
 
     public static final String PROP_NAME = "name";
 
-    protected Vector mValues = new Vector();
+    protected Vector<String> mValues = new Vector<String>();
     protected Vector<String> mNames = new Vector<String>();
     protected IConfigStore mConfig = null;
 
@@ -80,7 +80,7 @@ public class NoDefault implements IPolicyDefault {
             throws EProfileException {
     }
 
-    public Enumeration getValueNames() {
+    public Enumeration<String> getValueNames() {
         return mValues.elements();
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
index a145378ee03d6726d68f1b7481610a32c0a448ce..670728e59ecbe4fb458367abc526587e977a4e36 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/SubjectInfoAccessExtDefault.java
@@ -112,7 +112,7 @@ public class SubjectInfoAccessExtDefault extends EnrollExtDefault {
         super.setConfig(name, value);
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         refreshConfigAndValueNames();
         return super.getConfigNames();
     }
@@ -220,7 +220,7 @@ public class SubjectInfoAccessExtDefault extends EnrollExtDefault {
                 }
                 boolean critical = ext.isCritical();
 
-                Vector v = parseRecords(value);
+                Vector<NameValuePairs> v = parseRecords(value);
                 int size = v.size();
 
                 ext = new SubjectInfoAccessExtension(critical);
@@ -230,11 +230,11 @@ public class SubjectInfoAccessExtDefault extends EnrollExtDefault {
                 String enable = null;
 
                 for (int i = 0; i < size; i++) {
-                    NameValuePairs nvps = (NameValuePairs) v.elementAt(i);
-                    Enumeration names = nvps.getNames();
+                    NameValuePairs nvps = v.elementAt(i);
+                    Enumeration<String> names = nvps.getNames();
 
                     while (names.hasMoreElements()) {
-                        String name1 = (String) names.nextElement();
+                        String name1 = names.nextElement();
 
                         if (name1.equals(AD_METHOD)) {
                             method = nvps.getValue(name1);
diff --git a/pki/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java b/pki/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
index 928e36c2b703b6e6b8a1418b539681411602257a..52c87113d8feb5f2167789ec49f821e74eb462b1 100644
--- a/pki/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
+++ b/pki/base/common/src/com/netscape/cms/profile/updater/SubsystemGroupUpdater.java
@@ -54,8 +54,8 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
     private EnrollProfile mEnrollProfile = null;
     private IConfigStore mConfig = null;
     private ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
-    private Vector mConfigNames = new Vector();
-    private Vector mValueNames = new Vector();
+    private Vector<String> mConfigNames = new Vector<String>();
+    private Vector<String> mValueNames = new Vector<String>();
 
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
             "LOGGING_SIGNED_AUDIT_CONFIG_ROLE_3";
@@ -74,7 +74,7 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
         mEnrollProfile = (EnrollProfile) profile;
     }
 
-    public Enumeration getConfigNames() {
+    public Enumeration<String> getConfigNames() {
         return mConfigNames.elements();
     }
 
@@ -239,9 +239,9 @@ public class SubsystemGroupUpdater implements IProfileUpdater {
             group = system.getGroupFromName(groupName);
 
             auditParams += "+user;;";
-            Enumeration members = group.getMemberNames();
+            Enumeration<String> members = group.getMemberNames();
             while (members.hasMoreElements()) {
-                auditParams += (String) members.nextElement();
+                auditParams += members.nextElement();
                 if (members.hasMoreElements()) {
                     auditParams += ",";
                 }
